import * as t from 'io-ts';
export declare const resourceBadRejectedT: t.TypeC<{
    type: t.LiteralC<"rejected">;
    error: t.KeyofC<{
        notFound: null;
        clientError: null;
    }>;
    errorMessage: t.StringC;
    statusCode: import("./statusCodeT").StatusCodeWithZeroC;
    detail: t.UnknownC;
}>;
export declare const resourceBadFailT: t.TypeC<{
    type: t.LiteralC<"fail">;
    error: t.KeyofC<{
        unexpectedResponse: null;
        unknownError: null;
        networkError: null;
        decodeError: null;
        fail: null;
        appError: null;
    }>;
    errorMessage: t.StringC;
    statusCode: import("./statusCodeT").StatusCodeWithZeroC;
    detail: t.UnknownC;
}>;
export declare const resourceBadT: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"rejected">;
    error: t.KeyofC<{
        notFound: null;
        clientError: null;
    }>;
    errorMessage: t.StringC;
    statusCode: import("./statusCodeT").StatusCodeWithZeroC;
    detail: t.UnknownC;
}>, t.TypeC<{
    type: t.LiteralC<"fail">;
    error: t.KeyofC<{
        unexpectedResponse: null;
        unknownError: null;
        networkError: null;
        decodeError: null;
        fail: null;
        appError: null;
    }>;
    errorMessage: t.StringC;
    statusCode: import("./statusCodeT").StatusCodeWithZeroC;
    detail: t.UnknownC;
}>]>;
