import type { Observable } from 'rxjs';
import type * as OR from '../http/ObservableResource';
import * as RES from '../http/Resource';
export declare function useFetchObservableResource<F extends (...p: any) => OR.ObservableResource<E, A>, E = F extends (...p: any) => OR.ObservableResource<infer T, any> ? T : never, A = F extends (...p: any) => OR.ObservableResource<any, infer T> ? T : never, P extends Array<unknown> = Parameters<F>>(fetch: F, options?: {
    notifierTakeUntil?: Observable<unknown>;
    iniState?: RES.Resource<E, A>;
}): [RES.Resource<E, A>, (...p: P) => void];
