import type { Observable } from 'rxjs';
import type * as ROR from '../http/ReaderObservableResource';
import * as RES from '../http/Resource';
export declare function useFetchReaderObservableResource<F extends (...p: any) => ROR.ReaderObservableResource<R, E, A>, R = F extends (...p: any) => ROR.ReaderObservableResource<infer T, any, any> ? T : never, E = F extends (...p: any) => ROR.ReaderObservableResource<any, infer T, any> ? T : never, A = F extends (...p: any) => ROR.ReaderObservableResource<any, any, infer T> ? T : never, P extends Array<unknown> = Parameters<F>>(fetch: F, deps: R, options?: {
    notifierTakeUntil?: Observable<unknown>;
    iniState?: RES.Resource<E, A>;
}): [RES.Resource<E, A>, (...p: P) => void, () => void];
