import * as t from 'io-ts';
import { statusCodeT } from './statusCodeT';
export function cacheItemWithPayloadT(payloadCodec, name = `CacheItem<${payloadCodec.name}>`) {
    return t.interface({
        status: statusCodeT,
        payload: payloadCodec,
    }, name);
}
export const cacheItemT = t.interface({
    status: statusCodeT,
    payload: t.unknown,
}, 'CacheItem<unknown>');
