import * as t from 'io-ts';
import type * as RES from '../Resource';
export type ResourceC<E extends t.Mixed, A extends t.Mixed> = t.Type<RES.Resource<t.TypeOf<E>, t.TypeOf<A>>, RES.Resource<t.OutputOf<E>, t.OutputOf<A>>, unknown>;
export declare function resourceT<F extends t.Mixed, D extends t.Mixed>(failCodec: F, doneCodec: D, name?: string): ResourceC<F, D>;
