import * as t from 'io-ts';
import { StatusCodeMap, statusPredicate } from '../statusCode';
const allStatusPredicate = statusPredicate(StatusCodeMap);
const allStatusPredicateWithZero = (u) => allStatusPredicate(u) || u === 0;
export const statusCodeT = new t.Type('StatusCode', allStatusPredicate, (u, c) => (allStatusPredicate(u) ? t.success(u) : t.failure(u, c)), Number);
export const statusCodeWithZeroT = new t.Type('StatusCodeWithZero', allStatusPredicateWithZero, (u, c) => (allStatusPredicateWithZero(u) ? t.success(u) : t.failure(u, c)), Number);
