import * as E from 'fp-ts/Either';
import type { IO } from 'fp-ts/IO';
import type { MonoTypeOperatorFunction, OperatorFunction } from 'rxjs';
import { Observable } from 'rxjs';
/**
 * @deprecated use chainFirst and fromIO from fp-ts-rxjs Observable module
 */
export declare const chainFirstIO: <T, R>(e: (t: T) => IO<R>) => MonoTypeOperatorFunction<T>;
/**
 * @deprecated use chain and fromIO from fp-ts-rxjs Observable module
 */
export declare const chainIOK: <T, R>(e: (t: T) => IO<R>) => OperatorFunction<T, R>;
/**
 * @deprecated use fromIO from fp-ts-rxjs Observable module
 */
export declare const runIO: <T extends IO<R>, R = T extends IO<infer S> ? S : never>() => OperatorFunction<T, R>;
/**
 * @deprecated wait for either toUnion
 */
export declare const extractE: <T extends E.Either<E, R>, E = T extends E.Either<unknown, infer S> ? S : never, R = T extends E.Either<infer S_1, unknown> ? S_1 : never>() => OperatorFunction<T, E | R>;
/**
 * @deprecated fromIO from fp-ts-rxjs Observable module
 */
export declare const fromIO: <R>(i: IO<R>) => Observable<R>;
